Bug 113960 - [PATCH] Bug fix + enhancement for mysql_setpermission
Summary: [PATCH] Bug fix + enhancement for mysql_setpermission
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mysql   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-20 17:39 UTC by Chris Adams
Modified: 2013-07-03 03:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 01:32:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug fix and enhancement for mysql_setpermission command (3.74 KB, patch)
2004-01-20 17:39 UTC, Chris Adams
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:569 normal SHIPPED_LIVE Low: mysql security update 2004-10-20 04:00:00 UTC
Red Hat Product Errata RHSA-2004:597 normal SHIPPED_LIVE Important: mysql security update 2004-10-20 04:00:00 UTC

Description Chris Adams 2004-01-20 17:39:08 UTC
There is a bug in mysql_setpermission that it does not flush the
privilege tables after changing a user's password.  The one-liner fix
is to flush privileges.

There is no nice command to remove a database and the associated
users, so I wrote an addition to mysql_setpermission that does just
that.  It is not real pretty, but I tried to stay (more or less) with
the original code "style".

I have not gone upstream with this patch, since I know (barring a
licensing change on MySQL) we won't be seeing MySQL 4 or higher in a
Red Hat release.

Here's a patch with the above bug fix and enhancement.

Comment 1 Chris Adams 2004-01-20 17:39:46 UTC
Created attachment 97131 [details]
bug fix and enhancement for mysql_setpermission command

Comment 2 Tom Lane 2004-03-16 20:35:55 UTC
I'm going to apply the password flush fix for FC2, since it's clearly
a bug.  I'm not too excited about local enhancements though --- I'd
suggest submitting that part of the patch to MySQL AB.  One hopes
they'll eventually come to their senses about the licensing mess and
patch their license to allow us to ship MySQL 4.*.

Comment 3 Tom Lane 2004-03-17 01:32:48 UTC
Patch is applied in mysql-3.23.58-8 for Fedora Core 2.

Comment 4 Josh Bressers 2004-10-20 19:12:43 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-597.html


Comment 5 Josh Bressers 2004-10-20 19:41:27 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-569.html



Note You need to log in before you can comment on or make changes to this bug.